# cwltool.errors

Common errors.

WorkflowException and GraphTargetMissingException are aliased to equivalent errors from cwl_utils.errors and re-exported by this module to avoid breaking the interface for other code.

## Exceptions

`UnsupportedRequirement` | Common base class for all non-exit exceptions.
`ArgumentException` | Mismatched command line arguments provided.

## Module Contents

exception cwltool.errors.UnsupportedRequirement

  Bases: `cwl_utils.errors.WorkflowException`

  Common base class for all non-exit exceptions.

exception cwltool.errors.ArgumentException

  Bases: `Exception`

  Mismatched command line arguments provided.